#main {
    margin-top: 0;
}

#player {
    height: 91vh;
    background: #343A40;
}

#information {
    background: #fff;
    /*height: calc(100vh - 64px);*/
    height: 100%;
}

body {
    background-color: #343A40;
}

.col-md-10 {
    flex-grow: 1;
}

.col-md-12 {
    flex-shrink: 1;
    -webkit-transition: all 400ms ease;
    transition: all 400ms ease-in;
}

.player {
    padding: 0;
    margin: 0;
}

@media (min-width: 768px) {
    .sidebar {
        position: relative;
        min-height: calc(100vh - 81px);
        bottom: 0;
        left: 0;
        z-index: 1000;
        display: block;
        padding: 20px 5px 0 20px;
        overflow-x: hidden;
        overflow-y: auto;
        /* Scrollable contents if viewport is shorter than content. */
        background-color: #343A40;
        color: #ffffff;
    }
}

#sidebar {
    transition: all 400ms cubic-bezier(0.945, 0.020, 0.270, 0.665);
    transform-origin: bottom left;
}

#sidebar.active {
    margin-left: -250px;
    transform: rotateY(100deg);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.navbar-brand {
    color: #82bc00 !important;
}

.nav-link {
    color: #ffffff80;
}

.nav-link:hover {
    color: #ffffff50;
}

#more-dropdown.show {
    animation: AdminDropdown .5s ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes AdminDropdown {
    from {
        -webkit-transform:  translateX(-42%);
        -moz-transform:     translateX(-42%);
        -ms-transform:      translateX(-42%);
        -o-transform:       translateX(-42%);
        transform:          translateX(-42%);
    }
    to {
        -webkit-transform:  translateX(-55%);
        -moz-transform:     translateX(-55%);
        -ms-transform:      translateX(-55%);
        -o-transform:       translateX(-55%);
        transform:          translateX(-55%);
    }
}

.group-title > label {
    color: ghostwhite;
    font-size: 1vw;
}

.series-title > label {
    color: ghostwhite;
    font-size: 1vw;
    margin-left: 0;
    margin-bottom: 5px;
}

.course {
    margin-bottom: 10px;
    padding-left: 0;
}

.course > li > a, .course > li > a:hover {
    color: #82bc00;
    font-size: .9vw;
    text-decoration: none;
}

#sidebar > ul > li.group-title > ul.course {
    padding-left: 20px;
}

li.series-title > ul.course >  {
    padding-left: 20px;
    background-color: red;
}

ul {
    list-style: none;
}


/* Animate highlight and denote selected module in the sidebar*/
.course > .active {
}

.course > li {
    /*border-radius: 25px / 50px;*/
    /*padding-left: 1vw;*/
}

.course > .active > a,
.course > .active > a:hover,
.course > .active > a:focus {
    color: #fff;
}

.course > li.active {
    border-radius: 25px / 50px;
    background-color: #494E53;
    animation: active-li 3s linear;
}

@keyframes active-li {
    from {
        border-radius: 0;
        background-color: #545d66;

    }
    to {
        border-radius: 25px / 50px;
        background-color: #494E53;
    }

}

/*End*/

hr {
    margin-top: 40px;
    border-top: 1px solid #ddd;
    margin-bottom: 0;
}

.divider {
    color: #aaa;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 20px;
}

/* --------------------------------
   Sidebar Link and Feather Styles
   -------------------------------- */

.feather {
    width: 1vw;
    height: 1vw;
}

.group-title .feather {
    margin-right: 4px;
    color: #999;
}

.group-title .active {
    color: #82bc00;
}

.group-title:hover .feather,
.group-title:active .feather {
    color: inherit;
}

.tree {
    padding-left: 1vw;
}

/* --------------------------------
   Sidebar Span Styles
   -------------------------------- */
#sidebarCollapse {
    width: 48px;
    height: 48px;
    background-color: #343a40;
}

#sidebarCollapse span {
    width: 80%;
    height: 2px;
    margin: 0 auto;
    display: block;
    background: #fff;
    transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375);
    transition-delay: 0.2s;
}

#sidebarCollapse span:first-of-type {
    transform: rotate(45deg) translate(2px, 2px);
}

#sidebarCollapse span:nth-of-type(2) {
    opacity: 0;
}

#sidebarCollapse span:last-of-type {
    transform: rotate(-45deg) translate(1px, -1px);
}

#sidebarCollapse.active span {
    transform: none;
    opacity: 1;
    margin: 5px auto;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */
@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
        transform: rotateY(90deg);
    }

    #sidebar.active {
        margin-left: 0;
        transform: none;
    }

    #sidebarCollapse span:first-of-type,
    #sidebarCollapse span:nth-of-type(2),
    #sidebarCollapse span:last-of-type {
        transform: none;
        opacity: 1;
        margin: 5px auto;
    }

    #sidebarCollapse.active span {
        margin: 0 auto;
    }

    #sidebarCollapse.active span:first-of-type {
        transform: rotate(45deg) translate(2px, 2px);
    }

    #sidebarCollapse.active span:nth-of-type(2) {
        opacity: 0;
    }

    #sidebarCollapse.active span:last-of-type {
        transform: rotate(-45deg) translate(1px, -1px);
    }

}

/*   Custom Button Colors   */

.btn-outline-primary {
    color: #4e7a7f; /* advanced */
    border-color: #4e7a7f;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #4e7a7f;
    border-color: #4e7a7f;
}

.btn-outline-primary:focus, .btn-outline-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(78, 122, 127, 0.5);
}

.btn-outline-primary:not(:disabled):not(.disabled):active, .btn-outline-primary:not(:disabled):not(.disabled).active,
.show > .btn-outline-primary.dropdown-toggle {
    color: #fff;
    background-color: #4e7a7f;
    border-color: #4e7a7f;
}

.list-group-item-primary {
    color: #3b6469;
    background-color: rgba(78, 122, 127, 0.51);
}

.btn-outline-success {
    color: #82bc00; /* fundamentals */
    border-color: #82bc00;
}

.btn-outline-success:hover {
    color: #fff;
    background-color: #82bc00;
    border-color: #82bc00;
}

.btn-outline-success:focus, .btn-outline-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(185, 215, 85, 0.5);
}

.btn-outline-success:not(:disabled):not(.disabled):active, .btn-outline-success:not(:disabled):not(.disabled).active,
.show > .btn-outline-success.dropdown-toggle {
    color: #fff;
    background-color: #82bc00;
    border-color: #82bc00;
}

.list-group-item-success {
    color: #155724;
    background-color: rgba(187, 212, 89, 0.51);
}

.btn-outline-danger {
    color: #66265a; /* cm */
    border-color: #66265a;
}

.btn-outline-danger:hover {
    color: #fff;
    background-color: #66265a;
    border-color: #66265a;
}

.btn-outline-danger:focus, .btn-outline-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(102, 38, 90, 0.5);
}

.btn-outline-danger:not(:disabled):not(.disabled):active, .btn-outline-danger:not(:disabled):not(.disabled).active,
.show > .btn-outline-danger.dropdown-toggle {
    color: #fff;
    background-color: #66265a;
    border-color: #66265a;
}

.list-group-item-danger {
    color: #552449;
    background-color: rgba(102, 38, 90, 0.51);
}

.card-header-tabs > li > a:not(.active) {
    color: #155724;
}


/*  END Custom Btn Colors  */

